import dynamix_sdk.base as _base


class CloudapiComputeResizeResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeResizeProtocol(_base.BasePostAPIFunctionProtocol):
    def resize(
        self,
        *,
        vm_id: int,
        cpu_count: None | int = None,
        force: bool = False,
        preferred_cpu_cores: None | list[int] = None,
        ram_size_mb: None | int = None,
    ) -> CloudapiComputeResizeResultBool:
        ...
